Van Sang's Pain

v1.6 - 13.05.2020

- Info on (active) pill and bonus items pickups (score, effect)
- Bugfixes to the player falling animation
- Bugfixes to the enemy shot handling and bullet speeds
- Bugfix the player collision on single block ledges
- Constrained player collision box for more free navigation
- Corrected enemy spawn facing to minimize tile collision directly after spawn
- Optimized player control using keyboard and gamepads
- Corrected impassable level 17 template, error spawing into collision with tiles
- Moved to Python3
- Make versions for FreeBSD, Linux, MacOS, Windows
- Created GitLab archive
- Code refactoring

-----------------------------------------------------------------------------------------------
v1.5 (Windows only!) - 19.03.2017

-Implemented Windows-only DPI awareness, for zoom levels not equal to 100%

-----------------------------------------------------------------------------------------------
v1.4 - 17.03.2017

-Implemented game pad controls
-Implemented fullscreen on various device aspect ratios
-Tested on Retropie installed on Raspberry PI 3

-----------------------------------------------------------------------------------------------
v1.4 - 17.03.2017

-Implemented game pad controls
-Implemented fullscreen window on various device aspect ratios
-Tested on Retropie installed on Raspberry PI 3

-----------------------------------------------------------------------------------------------
v1.3, 11.10.2015

Changes:
- Started Windows Port

Known issues:
- Wrong heading in player float animation when floating in left/right direction.
- Sticky key problem on some control actions.

-----------------------------------------------------------------------------------------------
v1.2, 04.10.2015

Changes:
- Corrected sound effect playing lag

Known issues:
- Wrong heading in player float animation when floating in left/right direction.
- Sticky key problem on some control actions.

-----------------------------------------------------------------------------------------------
v1.1, 03.10.2015

Changes:
- Adjusted some levels for accessability when jumping.
- Added some level detail tiles.
- Modified tank enemy sprite to correct shading direction from top/left.
- Corrected hiscore entry display to start with 'A..'

Known issues:
- Wrong heading in player float animation when floating in left/right direction.
- Sticky key problem on some control actions.
- Sound effects severly lagging

-----------------------------------------------------------------------------------------------
v1.0, 20.09.2015
by Micah Koleoso Software
for the GameKid Raspberry Jam Week, 09.2015

===============================================================================================
To run:
On Windows, macOS and Linux, and any OSes with the dependencies installed - "python3 ./main.py"

Arrow Keys
	Up/GamePad_Hat_Up,GamePad_Axis0_Up				- Jump / Change hiscore selected initials alphabetical character
	Left/GamePad_Hat_Left,GamePad_Axis0_Left		- Move player left
	Right/GamePad_Hat_Right,GamePad_Axis0_Right 	- Move player right
	Down/GamePad_Hat_Down,GamePad_Axis0_Down 		- Increase floating player's drop rate to ground / Change hiscore selected initials character
	A/GamePad_Button_ABXY							- Fire ingame/ Accept hiscore initials alphabetical character and end hiscore input if 3 characters entered as initials
	Shift/GamePad_Start 							- Return to title screen from all other screens except ingame
	Enter/GamePad_Start								- Pause toggle ingame
	Escape/GamePad_Back								- Exits the game immediately from any screen


Menus
=====

Start  		- Start a new game
Hiscores 	- View Hiscores screen
Setup 		- Change music and sound FX settings
Quit 		- Exit the game

Requirements:
- Python 3
- Pygame for Python v3
- Keyboard and/or game pad for control
- SDL v1.2 with Mixer libraries for sound and music

Known issues:
- Wrong heading in player float animation when floating in left/right direction.
- Sticky key problem on some control actions.

Credits
=======
Game design, code and graphics: Micah 'Hairein' Koleoso
Music: Chris Koleoso (from our game Tank Crush)
Voices: Nathalie Koleoso (from our game Tank Crush)

Sound FX: Chris Koleoso (from our game Tank Crush), except where noted below:

- Button click sound effect 'Click2-Sebastian-759472264.wav' from SoundBible.com:
	Title: Click2, About: Short clicking sound as of a button or small switch, Uploaded: 01.22.11 | License: Attribution 3.0 | Recorded by Sebastian

-  Button push sound effect 'Button_Push-Mike_Koenig-1659525069.mp3' from SoundBible.com, converted to OGG:
	Title: Button Push, About: Sound of someone or something pushing a button., Uploaded: 11.11.11 | License: Attribution 3.0 | Recorded by Mike Koenig

-  Bounce sound effect 'Bounce-SoundBible.mp3' from SoundBible.com, converted to OGG:
	Title: Bounce, About: Cool bounce or bouncing sound effect. made this sound effect by holding a balloon at the bottom and stretching the balloon and then releasing it.
	Uploaded: 10.20.09 | License: Attribution 3.0 | Recorded by Mike Koenig

- Jump sound effect 'Jump-SoundBible.wav'  from SoundBible.com, converted to OGG:
	Title: Jump, About: Sound effect of someone jumping. almost sounds like a mario or luigi from mario brothers jumping sound effect. great for a game or funny scene.
	Uploaded: 01.26.10 | License: Attribution 3.0 | Recorded by snottyboy
